using Microsoft.AspNetCore.Mvc;
using AppLibs.Libs;
using MikaltoResort.Models;
using System.Diagnostics;

namespace MikaltoResort.Controllers
{
    public class HomeController : Controller
    {
        private readonly ILogger<HomeController> _logger;

        public HomeController(ILogger<HomeController> logger)
        {
            _logger = logger;
        }

        [PageInfor("1000", "Home")]
        public  Task<IActionResult> Index()
        {
            return this.ViewAsync();
        }

        public IActionResult Privacy()
        {
            return View();
        }

        [ResponseCache(Duration = 0, Location = ResponseCacheLocation.None, NoStore = true)]
        public IActionResult Error()
        {
            return View(new ErrorViewModel { RequestId = Activity.Current?.Id ?? HttpContext.TraceIdentifier });
        }

        public Task<IActionResult> Search(string? key)
        {
            return this.ViewAsync();
        }
    }
}
